<style scoped>

  i {
    margin-left: 4px;
  }

</style>

<template>

  <div class="input-group">
    <input :id="id" class="form-control">
    <span class="input-group-btn">
      <button class="btn btn-default" type="button" @click="onButtonClick()">
        <i class="fa fa-calendar"></i>
      </button>
    </span>
  </div>

</template>

<script>

  import moment from "moment"

  export default {

    props: {
      id: {
        type: String,
        default: "input-date-picker",
      },
    },

    mounted() {

      const input = $("#" + this.id)

      input.mask("00/00/0000")

      input.datepicker({
        language: "pt-BR",
        autoclose: true,
        todayHighlight: true,
        orientation: "bottom left",
      })
      .on("changeDate", (event) => {

        this.$emit("change-date", moment.utc(event.date).format("DD/MM/YYYY"))
      })
    },

    methods: {

      onButtonClick() {

        $("#" + this.id).focus()
      }
    },
  }

</script>
